# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-mageia-compat
BuildRequires: gcc-c++ pkgconfig(oggz)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name oaml
%define major   1
%define libname lib%{name}%{major}
%define	devname lib%{name}-devel

Name:           oaml
Version:        1.2
Release:        alt1_5
Summary:        Open Adaptive Music Library
Group:          System/Libraries
License:        MIT
URL:            https://oamldev.github.io
Source0:        https://github.com/oamldev/oaml/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         oaml-1.2-git-shared-library-name.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(vorbisfile)
Source44: import.info

%description
OAML is a library the makes it easy to implement adaptive music in games.

#----------------------------------------------------------------------

%package -n %{libname}
Summary:        Open Adaptive Music Library
Group:          System/Libraries

%description -n %{libname}
OAML is a library the makes it easy to implement adaptive music in games.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------

%package -n %{devname}
Summary:        Development files for OAML
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package is contains the development library and headers for OAML,
the Open Adaptive Music Library.

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

#----------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1


%build
%{mageia_cmake} \
  -DENABLE_STATIC=OFF \
  -DENABLE_UNITYPLUGIN=OFF
%mageia_cmake_build

%install
%mageia_cmake_install


%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 1.2-alt1_5
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_4
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_3
- update by mgaimport

* Tue Oct 10 2017 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_2
- converted for ALT Linux by srpmconvert tools

